# Type alias PayloadDiscriminator<LL, AllowAmbiguous>

PayloadDiscriminator<LL, AllowAmbiguous>: ((data) => AllowAmbiguous extends false
? LL | null
: readonly LL[])

#### Type Parameters

- #### LL extends LayoutLiteral = LayoutLiteral

- #### AllowAmbiguous extends boolean = false

#### Type declaration

- - (data): AllowAmbiguous extends false
    ? LL | null
    : readonly LL[]

  - #### Parameters

    - ##### data: Byteish

    #### Returns AllowAmbiguous extends false
    ? LL | null
    : readonly LL[]

- Defined in core/definitions/dist/esm/vaa/functions.d.ts:18

Generated using TypeDoc